<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@C237=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@C26E=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Once you've enabled this leave it either Enabled or Disabled NOT 'OFF', this cheat may cause graphical glitches</comment>
    <parameter>
      <item value="0x18">Enabled</item>
      <item value="0x27">Disabled</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.ob@3752</action>
    </script>
    <script state="run">
      <action>maincpu.ob@3752=param</action>
    </script>
    <script state="off">
      <action>maincpu.ob@3752=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="46" step="1"/>
    <script state="on">
      <action condition="maincpu.pb@C237==00">maincpu.pb@C237=01</action>
    </script>
    <script state="change">
      <action>maincpu.pb@C000=param+80</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
